/* Plugin image */

.fade-no-item{
  margin-top: 0rem;
}

.fade.image-thumbnail center{
  min-height: 24px;
}

.image-thumbnail a{
  display: inline-block;
}

.fade.image-thumbnail a{
  display: none;
}

.image-thumbnail img{
  border: 3px solid #ddd;
}

.img-responsive{
  max-width: 100%;
  height: auto;
}

/* Plugin scratch */

.scratch-previw{
  border: 2px solid #000;
  border-radius: 15px;
  height: auto !important;
}

.scratch-previw img{
  width:100%;
  max-width:100%;
  max-height:100%;
  margin: 0px auto;
  width:auto;
  height:auto;
  font-size:0px;
}

.scratch-previw img.hide-image{
  display: none !important;
}

.mask-list{
  font-size: 0;
}

.mask-list .mask-custom-uploaded .close{
  position: absolute;
  right: 6px;
  top: -6px;
  display: inline-block;
  width: 2rem;
  height: 2rem;
  line-height: 2rem;
  text-align: center;
  border-radius: 50%;
  background-color: #0057cc;
  opacity: 1;
  text-shadow: none;
  color:#fff;
  font-size: 1.4rem;
  z-index: 10;
}

.mask-list .mask-custom-uploaded .close:hover{
  opacity: 1;
}

.mask-list .thumbnail{
  width: 100%;
  position: relative;
  display: inline-block;
  border: 2px solid #666;
  border-radius: 15px;
  margin-bottom: 10px;
}

.mask-list .thumbnail.active{
  border: 2px solid #0057cc;
}

.mask-list .mask-custom-uploaded .thumbnail img{
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.mask-list .mask-custom .thumbnail{
  text-align: center;
  color: #ddd;
  text-decoration: none;
  font-size: 5rem;
  height: calc(100% - 10px);
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

/* Plugin countdown */

.count-panel{
  text-align: center;
  background-color: #222;
  padding-top: 10px;
  padding-bottom: 10px;
  border-radius: 5px;
}

.count-number{
  color: #fff;
  font-size: 72px;
}

.count-text{
  color:#fff;
  font-size: 14px;
  text-transform: uppercase;
}

/* Plugin carrousel */

.block-container-slider .carousel-inner{
  min-height: 140px;
}

.block-container-slider .carousel-control-next,
.block-container-slider .carousel-control-prev{
  display: inline-block;
  height: 60px;
  width: 60px;
  line-height: 60px;
  font-size: 30px;
  color: #fff;
  margin-bottom: 0px;
  text-align: center;
  background-color: #000;
  border-radius: 50%;
}

.block-container-slider .carousel-control-next{
  top: 50%;
  transform: translateY(-50%);
  right: 20px;
}

.block-container-slider .carousel-control-prev{
  top: 50%;
  transform: translateY(-50%);
  left: 20px;
}

/* Plugin formulaire */

.block-container-form .form-group{
  margin-bottom: 30px;
}

.block-container-form label{
  font-size: 24px;
  font-weight: bold;
  margin-bottom: 15px;
}

.block-container-form .form-control{
  font-size: 24px;
  height: 70px;
  padding: 5px 15px;
  border-radius: 10px;
  border: 1px solid #ced4da;
}

.block-container-form .checkbox,
.block-container-form .radio{
  margin-top: 15px;
  margin-bottom: 15px;
}

.block-container-form .checkbox label,
.block-container-form .radio label{
  font-size: 24px;
  font-weight: normal;
  cursor: pointer;
}

.block-container-form input[type="checkbox"],
.block-container-form input[type="radio"]{
  width: 24px;
  height: 24px;
  position: relative;
  top: 2px;
  border-color: #ced4da;
}

.block-container-form button,
.block-container-form button:hover{
  background-color: #43cd43;
  border-color: #43cd43;
  color: #fff;
  padding: 10px 40px;
  font-size: 24px;
  line-height: 1.5;
}

/* Plugin formulaire par étapes */

.block-container-form .carousel .carousel-form-control{
  display: inline-block;
  height: 80px;
  width: 80px;
  line-height: 80px;
  font-size: 40px;
  color: #fff;
  margin-bottom: 0px;
  text-align: center;
  background-color: #000;
  border-radius: 50%;
}

.block-container-form .carousel .carousel-control.left{
  text-align: left;
}

.block-container-form .carousel .carousel-control.right{
  text-align: right;
}

/* Plugin mentions légales */

.legal-notice{
  margin-top: 20px;
}

.modal-legal .modal-content{
  border: none;
  border-radius: 1rem;
  padding: 1.5rem;
}

.modal-legal .btn-outline-secondary{
  border-color: #ddd;
  color: #666;
}

.modal-legal .btn-outline-secondary:hover,
.modal-legal .btn-outline-secondary.hover,
.modal-legal .btn-outline-secondary:not(:disabled):not(.disabled).active,
.modal-legal .btn-outline-secondary:not(:disabled):not(.disabled):active{
  border-color: #666;
  background-color: #666;
  color: #fff;
}

.plugin-dummy{
  min-height: 68px;
}

/* Plugin formulaire poll */

.form-poll{
  cursor: pointer;
  color: #999;
  display: inline-block;
  padding: 5px;
  font-size: 48px !important;
}

.form-poll-container label.form-poll{
  cursor: pointer;
  display: inline-block;
  padding: 5px;
  font-size: 48px !important;
}

.form-poll-scoring-container{
  font-size: 0;
  text-align: center;
}

.form-poll-slider-container{
  min-height: 60px;
  text-align: center;
  padding: 10px;
}

.form-poll-slider,
.form-poll-slider-container .ui-slider.ui-widget.ui-widget-content{
  position: relative;
  text-align: center;
  height: 12px;
  border: 0;
  border-radius: 10px;
  background-color: #eee;
}

.form-poll-slider .slidebar-handle,
.form-poll-slider-container .ui-slider .slidebar-handle{
  position: absolute;
  background-color: #999;
  border: none;
  width: 48px !important;
  height: 48px !important;
  top: 50% !important;
  margin-top: -24px;
  margin-left: -24px;
  text-align: center;
  line-height: 48px;
  font-size: 18px;
  color: #fff;
  cursor: pointer;
  border-radius: 50%;
  outline: 0;
  box-shadow: 0px 5px 10px rgba(0, 0, 0, 0.25);
}

.form-poll-slider .slidebar-handle.active,
.form-poll-slider-container .ui-slider .slidebar-handle.ui-state-active{
  background-color: #03a6ef;
}

.form-poll-number-container{
  font-size: 0;
  text-align: center;
}

.form-poll-number-container label.form-poll{
  font-size: 24px !important;
  color: #fff;
  border: 1px solid #fff;
  padding: 10px 15px;
}

/* Plugin map */

.map-info-window{
  color: #000000;
}

.addresses-container{
  font-family: Arial, Verdana, sans-serif;
}

.main-address{
  padding: 30px;
  border-radius: 30px;
  margin: 5px 0;
}

.main-address h1{
  font-weight: bold;
  margin-bottom: 20px;
}

.main-address p{
  margin-bottom: 10px;
}

.main-address .btn-action,
.btn-all-addresses{
  display: inline-block;
  text-align: center;
  text-decoration: none;
}

.main-address .btn-action .icon,
.btn-all-addresses .icon{
  margin-right: 10px;
}

.btn-all-addresses{
  margin: 20px 0;
  width: 100%;
}

.secondary-address{
  padding: 30px;
  border-radius: 30px;
  margin: 0.5rem 0;
}

.secondary-address h1{
  font-weight: bold;
  margin-bottom: 10px;
}

.secondary-address p{
  margin-bottom: 5px;
}

.secondary-address .btn-action{
  aspect-ratio: 1 / 1;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  min-width: 50px;
  border-radius: 50%;
  background-color: #000;
  padding: 15px;
  text-decoration: none;
}

.secondary-address .btn-action .icon{
  color: #fff;
}

.addresses-container .badge-distance{
  background-color: #fff;
  color: #000;
  border-radius: 5px;
  font-weight: normal;
  margin: 0 1rem;
  padding: 5px 15px;
  vertical-align: middle;
  position: relative;
  top: -2px;
}

.addresses-container .secondary-address .badge-distance{
  padding: 5px 10px;
}
